/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  The ASF licenses this file to You
 * under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.  For additional information regarding
 * copyright in this work, please see the NOTICE file in the top level
 * directory of this distribution.
 */

package org.apache.roller.weblogger.ui.struts2.admin;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.roller.weblogger.ui.struts2.common.PingTargetEditBase;


/**
 * Action for modifying a common ping target.
 */
public class CommonPingTargetEdit extends PingTargetEditBase {
    
    private static Log log = LogFactory.getLog(CommonPingTargetEdit.class);
    
    
    public CommonPingTargetEdit() {
        this.actionName = "commonPingTargetEdit";
        this.desiredMenu = "admin";
        this.pageTitle = "pingTarget.pingTarget";
    }
    
    
    public String requiredUserRole() {
        return "admin";
    }
    
    // no weblog required
    public boolean isWeblogRequired() {
        return false;
    }
    
    
    protected Log getLogger() {
        return log;
    }
    
}
